#
# Testing for the ic_xml library
#
# File: ic_xml/tests/test.tcl
#
# $Revision$ on $Date$
# 
# Copyright (c) 1993-2004 ICEM CFD Engineering
#
# Author: Jason Aftosmis (jason@icemcfd.com)
#
# TODO:
#   o 
#
#---------------------------------------------------------------------
#
set nsuccess 0
set nfailure 0

# note the order of these is a little dependent--AssemblyReport depends
# on MeshReport's output, and deletes what remains for it

foreach module [list IcXmlInter MeshReport AssemblyReport TestBenchReport] {
    
    puts "\nTesting $module..."
    if [catch { ${module}::test } stat] {
	puts "$stat"
	set stat "FAILURE"
    }
    if {"SUCCESS" != $stat} {
	incr nfailure	
    } else {
	incr nsuccess
    }
    puts "$stat testing $module"
}

puts "\n$nsuccess tests succeeded; $nfailure tests failed"
